# ai_industry.cpp File Reference

Implementation of AIIndustry. More...

`#include "ai_industry.hpp"`
`#include "ai_cargo.hpp"`
`#include "ai_map.hpp"`
`#include "../../industry.h"`
`#include "../../strings_func.h"`
`#include "../../station_base.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Detailed Description

Implementation of AIIndustry.

Definition in file ai_industry.cpp.